Subject: bug#63228: 13.2.0; TeX-auto-generate-global TeX-auto-parse-region: Wrong type argument: stringp, nil

From: Arash Esbati <[email-masked]>
Date: Tue, 02 May 2023 13:22:02 +0200

Sebastian Drude <[email-masked]> writes:

> I am coming back to AUCTeX after many years, now on a Linux-MINT
> system (Debian-based).

Welcome back.

> I understand that, in order to be able to get command-expansion
> etc. for all (La)TeX packages, I need to run the command
> "TeX-auto-generate-global" once.

May I ask which package you want to use where AUCTeX support for
completion is missing?  I'm asking because TeX-auto-generate\(-global\)?
can produce completion files which are not really accurate.  So if you
want to use a specific package where the AUCTeX style package.el is
missing, it's better to write it yourself or ask here for help.

> I uninstalled the AUCTeX package which I installed via my package
> management system (Mint's Software Manager), which was an old version
> (11.91-2ubuntu2), and installed AUCTeX via ELPA.

In general, this is a good decision.

> Still, the error persists.

This is a bad thing, OTOH.

> If I may, I also have another question.  When I accessed AUCTeX
> directly in the ELPA (in emacs, via the command "list-packages"), I
> came to the page which says:
>
> auctex is an available obsolete package.
>      Status: Available Obsolete from gnu -- Install
>     Archive: gnu
>     Version: 13.2.0
>      Commit: 9d47b0a1bdffb8e01a83bf507dac7677ecca92f7
>     Summary: Integrated environment for *TeX*
>    Requires: emacs-25.1
>    Homepage: https://www.gnu.org/software/auctex/
>    Keywords: tex latex texinfo context doctex preview-latex
> Other versions: 13.2.0 (installed).

This is what I see after `list-packages':

--8<---------------cut here---------------start------------->8---
Package auctex is available.

     Status: Available from gnu -- Install
    Archive: gnu
    Version: 13.2.0
     Commit: 9d47b0a1bdffb8e01a83bf507dac7677ecca92f7
    Summary: Integrated environment for *TeX*
   Requires: emacs-25.1
    Website: https://www.gnu.org/software/auctex/
   Keywords: tex latex texinfo context doctex preview-latex 
 Maintainer: <[email-masked]>
--8<---------------cut here---------------end--------------->8---

> My question: why is there a version (13.2.0) in the gnu-archive which
> is tagged as "obsolete"??  It took me quite a while before I installed
> AUCTeX nevertheless, and now I see that I have these two versions, one
> installed and one on the gnu server.

Strange.  How did you install the package?  With `M-x list-packages
RET', choosing AUCTeX with 'i' and 'x'?

Best, Arash